Langues

À propos des correctifs de sécurité de Safari 5.0.5

Ce document décrit les correctifs de sécurité de Safari 5.0.5.

Dans un souci de protection de ses clients, Apple s’interdit de divulguer, d’aborder ou de confirmer l’existence de failles de sécurité tant qu’une enquête approfondie n’a pas été réalisée et que des correctifs ou mises à jour ne sont pas disponibles. Pour obtenir des informations supplémentaires sur la sécurité produit d’Apple, consultez le site Web Sécurité produit d’Apple.

Pour obtenir des informations sur la clé PGP du groupe de sécurité produit d’Apple, consultez l’article Comment utiliser la clé PGP du groupe de sécurité produit d’Apple.

Des références CVE sont utilisées, le cas échéant, pour répertorier les vulnérabilités et fournir des informations supplémentaires.

Pour obtenir des informations supplémentaires sur les autres mises à jour de sécurité, consultez l’article Mises à jour de sécurité Apple.

Safari 5.0.5

  • WebKit

    Disponible pour : Mac OS X 10.5.8, Mac OS X Server 10.5.8, Mac OS X 10.6.5 ou version ultérieure, Mac OS X Server 10.6.5 ou version ultérieure, Windows 7, Vista, XP SP2 ou version ultérieure.

    Conséquence : la consultation d’un site Web construit de manière malveillante peut entraîner la fermeture inopinée de l’application ou l’exécution arbitraire de code.

    Description : un problème de dépassement d’entier existait au niveau de la gestion des jeux de nœuds. La consultation d’un site Web malveillant peut entraîner la fermeture inopinée de l’application ou l’exécution arbitraire de code.

    Référence CVE

    CVE-2011-1290 : Vincenzo Iozzo, Willem Pinckaers et Ralf-Philipp Weinmann, travaillant pour le programme Zero Day Initiative de TippingPoint

  • WebKit

    Disponible pour : Mac OS X 10.5.8, Mac OS X Server 10.5.8, Mac OS X 10.6.5 ou version ultérieure, Mac OS X Server 10.6.5 ou version ultérieure, Windows 7, Vista, XP SP2 ou version ultérieure.

    Conséquence : la consultation d’un site Web construit de manière malveillante peut entraîner la fermeture inopinée de l’application ou l’exécution arbitraire de code.

    Description : un problème d’utilisation ultérieure libre existait au niveau de la gestion des nœuds de texte. La visite d’un site Web construit de manière malveillante peut entraîner la fermeture inopinée de l’application ou l’exécution arbitraire de code.

    Référence CVE

    CVE-2011-1344 : Vupen Security, travaillant pour le programme Zero Day Initiative de TippingPoint, et Martin Barbella

Remarque :

Politique de fiabilité des certificats

Plusieurs certificats SSL frauduleux ont été émis par une autorité d’enregistrement affiliée à Comodo.Un attaquant de type « homme du milieu » risque de rediriger les connexions et d'intercepter les informations d'identification de l'utilisateur ou d'autres données sensibles. Safari se base sur les certificats stockés par le système d’exploitation hôte pour déterminer la fiabilité d’un certificat de serveur SSL. Avec les systèmes Mac OS X, ce problème est résolu par la mise à jour de sécurité 2011-002. Avec iOS, ce problème est résolu avec iOS 4.3.2 et iOS 4.2.7. Pour les systèmes Windows, Safari traitera ces certificats comme non fiables après l'application de la mise à jour décrite dans l'article 2524375 de la base de connaissances Windows. L'article est disponible à l'adresse http://support.microsoft.com/kb/2524375/fr-fr.

Important : les renseignements concernant des produits non fabriqués par Apple ne sont fournis qu’à titre indicatif et ne constituent ni une recommandation ni une approbation de la part d’Apple. Veuillez contacter le vendeur pour tout renseignement supplémentaire.

Dernière modification : 18 juin 2012
Avez-vous trouvé cet article utile ?
Oui
Non
  • Last Modified: 18 juin 2012
  • Article: HT4596
  • Views:

    null

Informations supplémentaires relatives à l’assistance produit